"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheHelper = void 0;
const file_helper_1 = require("./file-helper");
const extract = require('extract-zip');
class CacheHelperClass {
    constructor() {
        this.dir = undefined;
    }
    setDir(location) {
        this.dir = location + '/';
        this.templatesDir = this.dir + 'templates' + '/';
        this.outputDir = this.dir + 'output' + '/';
        (0, file_helper_1.makeDirIfNotExists)(this.dir);
        (0, file_helper_1.makeDirIfNotExists)(this.templatesDir);
        (0, file_helper_1.makeDirIfNotExists)(this.outputDir);
        this.isActive = true;
    }
    readFile(file) {
        return __awaiter(this, void 0, void 0, function* () {
            const info = file_helper_1.FileHelper.getFileInfo(file);
            const targetDir = this.templatesDir + info.base;
            if ((0, file_helper_1.exists)(targetDir)) {
                return;
            }
            extract(file, { dir: targetDir }).catch((err) => {
                throw err;
            });
        });
    }
}
exports.CacheHelper = new CacheHelperClass();
//# sourceMappingURL=cache-helper.js.map